aboutsummaryrefslogtreecommitdiffstats
path: root/core/deps.mk
diff options
context:
space:
mode:
authorLoïc Hoguin <[email protected]>2015-05-16 15:29:25 +0300
committerLoïc Hoguin <[email protected]>2015-05-16 15:29:25 +0300
commit607797d84c9f4a58a178316035c62867353b6680 (patch)
tree49da6917f43f5c2b0165d9ef340acc47910ea773 /core/deps.mk
parent21ed404df9b353bafe328fb0c69cf1134ae14d0a (diff)
downloaderlang.mk-607797d84c9f4a58a178316035c62867353b6680.tar.gz
erlang.mk-607797d84c9f4a58a178316035c62867353b6680.tar.bz2
erlang.mk-607797d84c9f4a58a178316035c62867353b6680.zip
Add IGNORE_DEPS variable
This variable is very useful to avoid downloading dependencies that are not needed for normal use, for example proper, meck or rebar plugins.
Diffstat (limited to 'core/deps.mk')
-rw-r--r--core/deps.mk7
1 files changed, 3 insertions, 4 deletions
diff --git a/core/deps.mk b/core/deps.mk
index 820f72a..b126813 100644
--- a/core/deps.mk
+++ b/core/deps.mk
@@ -5,8 +5,7 @@
# Configuration.
-AUTOPATCH ?= edown gen_leader gproc
-export AUTOPATCH
+IGNORE_DEPS ?=
DEPS_DIR ?= $(CURDIR)/deps
export DEPS_DIR
@@ -14,7 +13,7 @@ export DEPS_DIR
REBAR_DEPS_DIR = $(DEPS_DIR)
export REBAR_DEPS_DIR
-ALL_DEPS_DIRS = $(addprefix $(DEPS_DIR)/,$(DEPS))
+ALL_DEPS_DIRS = $(addprefix $(DEPS_DIR)/,$(filter-out $(IGNORE_DEPS),$(DEPS)))
ifeq ($(filter $(DEPS_DIR),$(subst :, ,$(ERL_LIBS))),)
ifeq ($(ERL_LIBS),)
@@ -45,7 +44,7 @@ deps:: $(ALL_DEPS_DIRS)
if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ] ; then \
$(MAKE) -C $$dep IS_DEP=1 || exit $$? ; \
else \
- echo "ERROR: No makefile to build dependency $$dep. Consider adding it to AUTOPATCH." ; \
+ echo "ERROR: No Makefile to build dependency $$dep." ; \
exit 1 ; \
fi ; \
done